Bug 1019896 - Org Switcher does not work on nutupane pages
Org Switcher does not work on nutupane pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Walden Raines
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 11:10 EDT by Mike McCune
Modified: 2014-04-24 13:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2013-10-16 11:10:11 EDT
1) Org Switcher raises error and doesn't function

* Login
* Click Org Switcher
* Note lack of list and stacktrace:

[ERROR 2013-10-16 10:45:23 app 0050a01f69a0ee6ac203cb7b670b5550 #2128] Rendering 500:Missing partial /layouts/allowed_orgs with {:locale=>[:en], :formats=>["version=2", :json], :handlers=>[:erb, :builder, :haml, :rabl]}. Searched in:
 |   * "/usr/share/katello/app/views"
 |   * "/usr/share/katello/engines/fort/app/views"
 |   * "/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.0.23/app/views"
 |   * "/usr/share/katello/engines/bastion/app/views"
 |   * "/opt/rh/ruby193/root/usr/share/gems/gems/ui_alchemy-rails-1.0.12/app/views"


https://gist.github.com/mccun934/6999833

2) Products page doesn't render repos that exist in the database

* Go to Products page and create a Product + Repo
* Leave the page and come back
* Note that page is empty
Comment 2 Walden Raines 2013-10-16 11:32:04 EDT
(In reply to Mike McCune from comment #0)
> 1) Org Switcher raises error and doesn't function
> 
> * Login
> * Click Org Switcher
> * Note lack of list and stacktrace:
> 
> [ERROR 2013-10-16 10:45:23 app 0050a01f69a0ee6ac203cb7b670b5550 #2128]
> Rendering 500:Missing partial /layouts/allowed_orgs with {:locale=>[:en],
> :formats=>["version=2", :json], :handlers=>[:erb, :builder,
> :haml, :rabl]}. Searched in:
>  |   * "/usr/share/katello/app/views"
>  |   * "/usr/share/katello/engines/fort/app/views"
>  |   *
> "/opt/rh/ruby193/root/usr/share/gems/gems/apipie-rails-0.0.23/app/
> views"
>  |   * "/usr/share/katello/engines/bastion/app/views"
>  |   *
> "/opt/rh/ruby193/root/usr/share/gems/gems/ui_alchemy-rails-1.0.12/app/
> views"

Steps to Reproduce:
 1. In FF go to a nutupane page
 2. Open the org switcher
 3. Notice 500
Comment 3 Walden Raines 2013-10-16 11:50:44 EDT
(In reply to Mike McCune from comment #0)
> 2) Products page doesn't render repos that exist in the database
> 
> * Go to Products page and create a Product + Repo
> * Leave the page and come back
> * Note that page is empty

Splitting this out into it's own bug:  https://bugzilla.redhat.com/show_bug.cgi?id=1019920
Comment 4 Walden Raines 2013-10-16 11:59:41 EDT
PR:  https://github.com/Katello/katello/pull/3193
Comment 5 Walden Raines 2013-10-16 14:30:57 EDT
commit 3c5e6e8da32fcfcf88f49a665b059b56f80569b9
Merge: 0176a83 1bdae5d
Author: Walden Raines <walden@redhat.com>
Date:   Wed Oct 16 11:29:15 2013 -0700

    Merge pull request #3193 from waldenraines/bug-1019896
    
    Bug #1019896 - explicitly setting accept headers for FF.

commit 1bdae5d1f16c6b314ee5ad0d67992234a0c891a0
Author: Walden Raines <walden@redhat.com>
Date:   Wed Oct 16 13:09:46 2013 -0400

    Bug #1019896 - explicitly setting accept headers for FF.
    
    FF was replacing headers instead of appending them so this commit
    explicitly includes 'text/plain' and '*/*' in order to fix the
    org switcher.  Also includes a padding fix for the org switcher
    in FF.
Comment 8 Corey Welton 2013-10-18 13:28:42 EDT
This appears to be fixed.

QA Verified in Satellite-6.0.2-RHEL-6-20131016.0
Comment 9 Bryan Kearney 2014-04-24 13:08:11 EDT
This was verified and delivered with MDP2. Closing it out.

Note You need to log in before you can comment on or make changes to this bug.